Index: doc/src/sgml/catalogs.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/catalogs.sgml,v
retrieving revision 2.43
diff -c -r2.43 catalogs.sgml
*** doc/src/sgml/catalogs.sgml	2002/04/21 00:26:42	2.43
--- doc/src/sgml/catalogs.sgml	2002/06/14 10:09:18
***************
*** 1264,1269 ****
--- 1264,1281 ----
       </row>
  
       <row>
+       <entry>lanvalidator</entry>
+       <entry><type>oid</type></entry>
+       <entry>pg_proc.oid</entry>
+       <entry>
+        This references a language validator function that is responsible
+        for checking the syntax and validity of new functions when they
+        are created. See under <command>CREATE LANGUAGE</command> for
+        further information about validators.
+       </entry>
+      </row>
+ 
+      <row>
        <entry>lancompiler</entry>
        <entry><type>text</type></entry>
        <entry></entry>
Index: doc/src/sgml/ref/create_language.sgml
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/sgml/ref/create_language.sgml,v
retrieving revision 1.24
diff -c -r1.24 create_language.sgml
*** doc/src/sgml/ref/create_language.sgml	2002/05/22 17:20:58	1.24
--- doc/src/sgml/ref/create_language.sgml	2002/06/14 10:09:18
***************
*** 214,238 ****
  
  <screen>
          Table "pg_language"
!    Attribute   |  Type   | Modifier
! ---------------+---------+----------
!  lanname       | name    |
!  lanispl       | boolean |
!  lanpltrusted  | boolean |
!  lanplcallfoid | oid     |
!  lancompiler   | text    |
  
!    lanname   | lanispl | lanpltrusted | lanplcallfoid | lancompiler
! -------------+---------+--------------+---------------+-------------
!  internal    | f       | f            |             0 | n/a
!  c           | f       | f            |             0 | /bin/cc
!  sql         | f       | t            |             0 | postgres
  </screen>
    </para>
  
    <para>
!    At present, the definition of a procedural language cannot be
!    changed once it has been created.
    </para>
  
    <para>
--- 214,240 ----
  
  <screen>
          Table "pg_language"
!    Attribute   |   Type    | Modifier
! ---------------+-----------+----------
!  lanname       | name      |
!  lanispl       | boolean   |
!  lanpltrusted  | boolean   |
!  lanplcallfoid | oid       |
!  lanvalidator  | oid       |
!  lancompiler   | text      |
!  lanacl        | aclitem[] |
  
!    lanname   | lanispl | lanpltrusted | lanplcallfoid | lanvalidator | lancompiler | lanacl
! -------------+---------+--------------+---------------+--------------+-------------+--------
!  internal    | f       | f            |             0 |         2246 | n/a         |
!  c           | f       | f            |             0 |         2247 | /bin/cc     |
!  sql         | f       | t            |             0 |         2248 | postgres    | {=U}
  </screen>
    </para>
  
    <para>
!    At present, with the exception of the permissions, the definition 
!    of a procedural language cannot be changed once it has been created.
    </para>
  
    <para>
